/* Orx - Portable Game Engine
 *
 * Copyright (c) 2008-2017 Orx-Project
 *
 * This software is provided 'as-is', without any express or implied
 * warranty. In no event will the authors be held liable for any damages
 * arising from the use of this software.
 *
 * Permission is granted to anyone to use this software for any purpose,
 * including commercial applications, and to alter it and redistribute it
 * freely, subject to the following restrictions:
 *
 *    1. The origin of this software must not be misrepresented; you must not
 *    claim that you wrote the original software. If you use this software
 *    in a product, an acknowledgment in the product documentation would be
 *    appreciated but is not required.
 *
 *    2. Altered source versions must be plainly marked as such, and must not be
 *    misrepresented as being the original software.
 *
 *    3. This notice may not be removed or altered from any source
 *    distribution.
 */

/**
 * @file orxInclude.h
 * @date 12/09/2005
 * @author iarwain@orx-project.org
 *
 * @todo
 * - Add optimized string handling (using CRC + hash)
 * - Add multi animation interpreter (for blends, transitions, etc...)
 * - Add fixed point decimals
 * - Add Matrix module
 * - Update camera to use matrix
 * - Update camera to use 3D-like computation
 * - Add scripting integration
 * - Add network :)
 * - Add waypoint/way system
 * - Restore generic pathfinder module
 */

/**
 * @addtogroup Orx
 * 
 * Local include file
 *
 * @{
 */


#ifndef _orxINCLUDE_H_
#define _orxINCLUDE_H_


/** Includes
 */
#include "base/orxModule.h"


#endif /* _orxINCLUDE_H_ */

/** @} */
